<template>
  <div>
    <Toast />
    <p>Directorio de trabajo:</p>
    <FileUpload
        mode="advanced"
        name="demo[]"
        url="/api/upload"
        @upload="onAdvancedUpload($event)"
        disable="true"
        :multiple="false"
        accept=""
        :maxFileSize="1000000"
        :showUploadButton="false"
        :showCancelButton="false"
        :fileLimit="1"
        :auto="true"
        >
        <template #empty>
          <p>{{ titleDrag }}</p>
        </template>
    </FileUpload>
  </div>
</template>

<script setup>
  import { ref } from "vue";
  import FileUpload from 'primevue/fileupload';
  import { useToast } from "primevue/usetoast";

  const toast = useToast();
  const titleDrag = ref("Soltar aquí el directorio de trabajo")

  const onUpload = () => {
      toast.add({ severity: 'info', summary: 'Success', detail: 'File Uploaded', life: 3000 });
  };

</script>
